--Shared code for include generic sizes for things
local dpi = require("beautiful.xresources").apply_dpi
return function(theme)
    -- Notification size
    theme.notification_width = dpi(250)
    theme.notification_height = dpi(80)
    theme.mailbox_container_width = dpi(260)
    theme.mailbox_button_height = dpi(50)

    -- Wallpaper widget sizes
    theme.wallpapers_button_height = dpi(60)
    theme.wallpapers_button_width = dpi(100)
    theme.wallpapers_pager_container_spacing_vertical = dpi(5)
    theme.wallpapers_pager_container_spacing_horizontal = dpi(5)
    theme.wallpapers_pager_button_size = dpi(15)
    
    -- Menus
    theme.menu_button_height = dpi(20)
    theme.menu_button_width = dpi(140)
    theme.menu_button_inner_margin = dpi(1)

    -- Power management icons
    theme.powercontrol_button_height = 25
    theme.powercontrol_button_width = 25
    return theme
end
